<template>
  <v-card class="step">
    <v-container>
      <v-row>
        <v-col class="text-h4">
          Measure the distance in millimeters between two identical wave peaks. They can be any waves but the easiest is to measure the R-R interval as shown in this image.
          This can be measured in any lead. All leads show the exact same ECG just measured from different angles
        </v-col>
        <v-col align="center">
          <v-icon class="axis">$RateQRS</v-icon>
        </v-col>
      </v-row>

      <v-row justify="center" class="my-16">
        <v-col cols="4" class="text-h4">
          How many mm between R waves?
        </v-col>
        <v-col align-self="center" class="mt-4">
          <v-slider
            :value="RRdistance"
            step="1"
            max="100"
            min="1"
            thumb-label="always"
            :thumb-size="50"
            ticks
            @change="setRRdistance"
          ></v-slider>
        </v-col>
      </v-row>

      <v-row justify="center">
        <v-col cols="4">
          <v-alert
            border="left"
            color="pink"
            dark
            class="text-h5"
          >
            Heart Rate: <span class="text-h3">{{ rate }}</span> beats per minute
          </v-alert>
        </v-col>

      </v-row>

    </v-container>

  </v-card>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'Rate',
  data() {
    return {
      color: 'white',
    };
  },

  computed: {
    ...mapState([
      'rate',
      'RRdistance',
    ]),
  },

  methods: {
    setRRdistance(RRdistance) {
      this.$store.commit('setRRdistance', RRdistance);
      this.$store.dispatch('setCalculatedRate');
    },
  },
};
</script>

<style scoped>

</style>
